var cookies_prefix = 'FacePress';
function close_dl(){ //clode demo login box
	jQuery('#lightbox-shadow').hide();
	jQuery('#demo-container').hide();
}

function login_show(){ // show demo login box
	jQuery('#lightbox-shadow').show();
	jQuery('#demo-container').show();
}

jQuery(document).ready(function(){
	
	if( jQuery.cookie(cookies_prefix + 'style') == 'darkheader' ){
		jQuery('body, p.day_night span').addClass('day');
		jQuery('body').removeClass('night');
		jQuery('body').removeClass('day'); 
		jQuery('body').addClass('color');
		jQuery('div.logo img').attr('src','images/logo.white.png');	
	}else if( jQuery.cookie(cookies_prefix + 'style') == 'night' ){ 
		jQuery('body, p.day_night span').addClass('night');
		jQuery('p.day_night span').removeClass('day');
		jQuery('body').removeClass('day');
		jQuery('body').removeClass('color');
		jQuery('p.day_night span').addClass('night');
		jQuery('body').addClass('night');
		jQuery('div.logo img').attr('src','images/logo.white.png');	
	}else if( jQuery.cookie(cookies_prefix + 'style') == 'day' ){ 
		jQuery('body, p.day_night span').addClass('day');
		jQuery('p.day_night span').removeClass('night');
		jQuery('body').removeClass('night');
		jQuery('body').removeClass('color');
		jQuery('p.day_night span').addClass('day');
		jQuery('body').addClass('day');
	}else{
		jQuery('body, p.day_night span').addClass('night');
		jQuery('div.logo img').attr('src','images/logo.white.png');	
	}
	
	if( jQuery( '#demo-container').length > 0 ){
		//if( jQuery.cookie('demo_login') != 'yes' ){
			setTimeout("login_show()" , 3000 );
			jQuery.cookie("demo_login",'yes', {expires: 365, path: '/'}); // set cookies to show it only for the first time
		//}
		var screen_width = jQuery(window).width();
		if (screen_width >= 400){
			jQuery('#demo-container').css('left',(screen_width/2)-200);
		}
	}
	
	// Related posts
	if( jQuery( '.sidebar .box-related' ).length > 0 ){
		jQuery( window ).resize( function(){
			var width = jQuery( '.sidebar' ).width();
			if( width >= 210 ){
				jQuery( '.sidebar .grid-view article' ).width( 90 );
				jQuery( '.sidebar .grid-view article:nth-child(even)' ).css( 'margin-left' , '30px' );
			}else{
				jQuery( '.sidebar .grid-view article' ).width( width ).css( 'margin-left' , '0px' );;
				
			}
		});
	}

	//Script for grid-view
	jQuery(function(){
	jQuery('.masonry-container').masonry({
		itemSelector: '.item',
		columnWidth: 290,
		gutterWidth: 30,
		isAnimated: true
		});
		jQuery( '.masonry-container img.size' ).load( function(){
			jQuery('.masonry-container').masonry( 'reload' );
		});
	});

	//timeline form
	jQuery('textarea.timeline_text').focus(function () {
         jQuery(this).addClass('focused');
		 if(jQuery(this).val() == 'What\'s on your mind?' ){ /*use translation in wp version */
			jQuery(this).val('');
		 }
		 jQuery('div.timeline_title').removeClass('hidden');
		 jQuery('div.form_btn_submit').removeClass('hidden');
    });
	jQuery('textarea.timeline_text').blur(function () {
         
		 if(jQuery(this).val() == ''){jQuery(this).val('What\'s on your mind?')}
    });
	
	// Textarea resize
	jQuery('textarea.timeline_text').autoResize({
    // On resize:
    onResize : function() {
        jQuery(this).css({opacity:1});
    },
    // After resize:
    animateCallback : function() {
        jQuery(this).css({opacity:1});
    },
    // Quite slow animation:
    animateDuration : 300,
    // More extra space:
    extraSpace : 40
	});
	
	//Scroll to top
	jQuery(window).scroll(function() {
		if(jQuery(this).scrollTop() != 0) {
			jQuery('#toTop').fadeIn();	
		} else {
			jQuery('#toTop').fadeOut();
		}
	});
	jQuery('#toTop').click(function() {
		jQuery('body,html').animate({scrollTop:0},300);
	});

	/* Lightbox single post on mainpage */
	var $slidePanel;
	(function($) {
		$slidePanel = $('#slidePanel')
			.bind('fly', function(e, state) {
				var $this = $(this).stop();
				if (state === true) {
					$this
						.show()
						.animate({ top: '165px' }, 300);
				} else {
					$this
						.animate({ top: '700px' }, 300, function() {
							$this.hide();
						});
				}
			})
			.bind('click', function() {
				$(this).trigger('fly', false);
			});

		$('.openFly')
			.bind('click', function(e) {
				e.preventDefault();
				var pos = $(this).offset();
				$('html, body').animate({ scrollTop: pos.top }, 300, function() {
					$slidePanel.trigger('fly', true);
				});					
			});
	})(jQuery);

	/* Superfish menu */
	jQuery("ul.sf-menu").supersubs({
			minWidth:    12,
			maxWidth:    32,
			extraWidth:  1
		}).superfish({
			delay: 200,
			speed: 250
		});
	/* Superfish menu */
	jQuery("ul.sf-menu-um").supersubs({
			minWidth:    12,
			maxWidth:    32,
			extraWidth:  1
		}).superfish({
			delay: 200,
			speed: 250
		});	

	/* Mosaic fade */
	jQuery('.hovermore, .readmore, .full-screen').mosaic();
	jQuery('.circle, .gallery-icon').mosaic({
		opacity:	0.5
	});
	jQuery('.fade').mosaic({
		animation:	'slide'
	});
	
	/* Dynamic twitter widget */
	if (jQuery().slides) {
		jQuery(".dynamic .cosmo_twitter").slides({
			play: 5000,
			effect: 'fade',
			generatePagination: false,
			autoHeight: true
		});
	}
	
	/* show/hide color switcher */
	jQuery('.show_colors').toggle(function(){
		jQuery(".style_switcher").animate({
		    left: "10px"

		  }, 500 );
	}, function () {
		jQuery(".style_switcher").animate({
		    left: "-152px"

		  }, 500 );

	});
	
	/* Day/night */
	jQuery('p.day_night span').click(function(){
		jQuery('[name="darkheader"]').attr('checked',false);
		jQuery('body').removeClass('color');			
		if( jQuery(this).hasClass( 'day' ) ){
			jQuery(this).removeClass('day');
			jQuery('body').removeClass('day');		
			jQuery('div.logo img').attr('src','images/logo.white.png');	
			jQuery(this).addClass('night');
			jQuery('body').addClass('night');
            jQuery.cookie( cookies_prefix + 'style' , 'night' , {expires: 365, path: '/' } );
		}else{
			jQuery(this).removeClass('night');
			jQuery('body').removeClass('night');
			jQuery('div.logo img').attr('src','images/logo.png');	
			jQuery(this).addClass('day');
			jQuery('body').addClass('day')
            jQuery.cookie( cookies_prefix + 'style' , 'day' , {expires: 365, path: '/' } );
		}
    });
	
	//darkheader
	jQuery('[name="darkheader"]').click(function(){
		if(jQuery('[name="darkheader"]').attr('checked') ){
			jQuery('body').addClass('color');
			jQuery('div.logo img').attr('src','images/logo.white.png');	
			jQuery('body').removeClass('night');
			jQuery('body').removeClass('day');
			jQuery.cookie("boxed",'yes', {expires: 365, path: '/'});
			jQuery.cookie( cookies_prefix + 'style' , 'darkheader' , {expires: 365, path: '/' } );
			//setBoxedCookies('yes');
		}
		else{
			if(jQuery('p.day_night span').attr('class') == 'night'){
				jQuery('div.logo img').attr('src','images/logo.white.png');	
			}else{
				jQuery('div.logo img').attr('src','images/logo.png');	
			}
			
			jQuery('body').removeClass('color');
			jQuery('body').addClass(jQuery('p.day_night span').attr('class'));
			jQuery.cookie( cookies_prefix + 'style' , jQuery('p.day_night span').attr('class') , {expires: 365, path: '/' } );
			//setBoxedCookies('no');
		}	
	});
	
	/* Hide title from menu items */
	jQuery(function(){
		jQuery("li.menu-item > a").hover(function(){
			jQuery(this).stop().attr('title', '');},
			function(){jQuery(this).stop().attr();
		});
	});
	
	/* Fixed social media sharing */
	jQuery(function () {
		var msie6 = jQuery.browser == 'msie' && jQuery.browser.version < 7;
		if (!msie6 && jQuery('.share_buttons_single_page').length != 0) {
			var top = jQuery('#share_buttons_single_page').offset().top - parseFloat(jQuery('#share_buttons_single_page').css('margin-top').replace(/auto/, 0));
			jQuery(window).scroll(function (event) {
				// what the y position of the scroll is
				var y = jQuery(this).scrollTop();
				// whether that's below the form
				if (y >= top-90) {
					// if so, ad the fixed class
					jQuery('#share_buttons_single_page').addClass('fixed');
				} else {
					// otherwise remove it
					jQuery('#share_buttons_single_page').removeClass('fixed');
				}
			});
		}
	});

	/* Fixed cart */
	jQuery(function () {
		var msie6 = jQuery.browser == 'msie' && jQuery.browser.version < 7;
		if (!msie6 && jQuery('.cosmo-cart').length != 0) {
			var top = jQuery('#cosmo-cart').offset().top - parseFloat(jQuery('#cosmo-cart').css('margin-top').replace(/auto/, 0));
			jQuery(window).scroll(function (event) {
				// what the y position of the scroll is
				var y = jQuery(this).scrollTop();
				// whether that's below the form
				if (y >= top-30) {
					// if so, ad the fixed class
					jQuery('#cosmo-cart').addClass('fixed');
				} else {
					// otherwise remove it
					jQuery('#cosmo-cart').removeClass('fixed');
				}
			});
		}
	});
	
	/* Icons annimation */
	/*$("#nav-shadow p").append('<img class="shadow" src="images/icons-shadow.png" width="100%" height="27" alt="" />');*/
	$("#nav-shadow p").hover(function() {
		var e = this;
		$(e).find("a").stop().animate({ marginTop: "-20px" }, 250, function() {
			$(e).find("a").animate({ marginTop: "-15px" }, 250);
		});
	$(e).find("img.shadow").stop().animate({ width: "80%", height: "20px", marginLeft: "8px", opacity: 0.25 }, 250);
	},function(){
		var e = this;
		$(e).find("a").stop().animate({ marginTop: "0px" }, 250, function() {
			$(e).find("a").animate({ marginTop: "0px" }, 250);
		});
	$(e).find("img.shadow").stop().animate({ width: "100%", height: "27px", marginLeft: "0", opacity: 1 }, 250);
	});

	/* Social-media icons annimation */
	$(".hotkeys-meta span").hover(function() {
		var e = this;
		$(e).find("a").stop().animate({ marginTop: "-8px" }, 250, function() {
			$(e).find("a").animate({ marginTop: "-8px" }, 250);
		});
	},function(){
		var e = this;
		$(e).find("a").stop().animate({ marginTop: "0px" }, 250, function() {
			$(e).find("a").animate({ marginTop: "0px" }, 250);
		});
	});
	
	/* Social-media icons annimation */
	$(".social-media li").hover(function() {
		var e = this;
		$(e).find("a").stop().animate({ marginTop: "-8px" }, 250, function() {
			$(e).find("a").animate({ marginTop: "-8px" }, 250);
		});
	},function(){
		var e = this;
		$(e).find("a").stop().animate({ marginTop: "0px" }, 250, function() {
			$(e).find("a").animate({ marginTop: "0px" }, 250);
		});
	});
	
	/* Widget tabber */
    jQuery( 'ul.widget_tabber li a' ).click(function(){
        jQuery(this).parent('li').parent('ul').find('li').removeClass('active');
        jQuery(this).parent('li').parent('ul').parent('div').find( 'div.tab_menu_content.tabs-container').fadeTo( 200 , 0 );
        jQuery(this).parent('li').parent('ul').parent('div').find( 'div.tab_menu_content.tabs-container').hide();
        jQuery( jQuery( this ).attr('href') + '_panel' ).fadeTo( 200 , 1 );
        jQuery( this ).parent('li').addClass('active');
    });
	

	/* content tabber */
    jQuery( 'ul.content_tabber li a' ).click(function(){
        jQuery(this).parent('li').parent('ul').find('li').removeClass('active');
        jQuery(this).parent('li').parent('ul').parent('div').find( 'div.tab_content.tabs-container').fadeTo( 200 , 0 );
        jQuery(this).parent('li').parent('ul').parent('div').find( 'div.tab_content.tabs-container').hide();
        jQuery( jQuery( this ).attr('href') + '_panel' ).fadeTo( 200 , 1 );
        jQuery( this ).parent('li').addClass('active');
		jQuery(window).trigger("resize");
	
    });
	
	 /* Initialize tabs */
	(typeof(jQuery.fn.tabs) === 'function') && jQuery(function() { 
		jQuery('.cosmo-tabs').tabs({ fxFade: true, fxSpeed: 'fast' });
		jQuery('.tabs-nav .first a').click();
	});

	/*Case when by default the toggle is closed */
	jQuery(".open_title").toggle(function(){ 
			jQuery(this).next('div').slideDown();
			jQuery(this).find('a').removeClass('show');
			jQuery(this).find('a').addClass('hide');
			jQuery(this).find('.title_closed').hide();
			jQuery(this).find('.title_open').show();
		}, function () {
		
			jQuery(this).next('div').slideUp();
			jQuery(this).find('a').removeClass('hide');
			jQuery(this).find('a').addClass('show');		 
			jQuery(this).find('.title_open').hide();
			jQuery(this).find('.title_closed').show();
			
	});
	
	/*Case when by default the toggle is oppened */		
	jQuery(".close_title").toggle(function(){ 
			jQuery(this).next('div').slideUp();
			jQuery(this).find('a').removeClass('hide');
			jQuery(this).find('a').addClass('show');		 
			jQuery(this).find('.title_open').hide();
			jQuery(this).find('.title_closed').show();
		}, function () {
			jQuery(this).next('div').slideDown();
			jQuery(this).find('a').removeClass('show');
			jQuery(this).find('a').addClass('hide');
			jQuery(this).find('.title_closed').hide();
			jQuery(this).find('.title_open').show();
			
	});	
	
	/*Accordion*/
	jQuery('.cosmo-acc-container').hide();
	jQuery('.cosmo-acc-trigger:first').addClass('active').next().show();
	jQuery('.cosmo-acc-trigger').click(function(){
		if( jQuery(this).next().is(':hidden') ) {
			jQuery('.cosmo-acc-trigger').removeClass('active').next().slideUp();
			jQuery(this).toggleClass('active').next().slideDown();
		}
		return false;
	}); 
	
	/* Flying Header */
	var $window = $(window),
		$header = $('#header-wrapper');

	jQuery.fn.flyingHeader = function() {
		var $instance = $(this),
			offset = $instance.outerHeight() - $instance.find('a').outerHeight();

		if ($window.scrollTop() >= offset) {
			if (!$instance.hasClass('fixed')) {
				setTimeout(function() {
					$instance
						.stop()
						.css({ opacity: 0, top: String(-offset) + 'px' })
						.addClass('fixed')
						.animate({ top: 0, opacity: 1 }, 500, 'easeInOutExpo');
				}, 0);
			}
		} else if ($window.scrollTop() <= offset ) {
			$instance.removeClass('fixed');
		}
		
		return this;
	};

	if ($header.length && $header.hasClass('can-fly')) {
		$window.bind('scroll', function() {
			$header.flyingHeader();
		});	
	}

	/* Quick News */
	var $document = $(document),
		$qnWrapper = $('.cosmo-qnews-wrapper'),
		$qnContent = $('.cosmo-qnews-content'),
		$qnLable = $('.cosmo-qnews-label'),
		$qnClose = $('.cosmo-qnews-close');

	$qnWrapper.data('orig-width', $qnWrapper.width());
	
	$document.delegate('.cosmo-qnews-label a', 'click', function(event) {
		event.preventDefault();

		if ($qnWrapper.hasClass('cosmo-qnews-opened')) return;
		if ($qnWrapper.is(':animated'))	return;

		$qnWrapper
			.css({ width: 0, display: 'block' })
			.animate({ width: $qnWrapper.data('orig-width') +'px' }, 500, 'easeInOutExpo')
			.animate({ height: $qnContent.outerHeight(true) +'px' }, 500, 'easeInOutExpo', function() {
				$qnWrapper.addClass('cosmo-qnews-opened');
				$qnContent.fadeIn(300, function() {
					$qnClose.show();
					$document.trigger('qnews-opened');
				});
			});
	});

	$document.delegate('.cosmo-qnews-close', 'click', function(event) {
		event.preventDefault();
		$qnClose.hide();
		$qnContent.fadeOut(200, function() {
			$qnWrapper
				.animate({ height: $qnLable.outerHeight(true) +'px' }, 500, 'easeInOutExpo')	
				.animate({ width: 0 }, 500, 'easeInOutExpo', function() {
					$qnWrapper.hide();
					$qnWrapper.removeClass('cosmo-qnews-opened');
					$document.trigger('qnews-closed');
				})	
		});
	});

	/* Determine screen resolution */
	var $body = $('body'),
		wSizes = [1600, 1440, 1280, 1024, 800],
		wSizesClasses = ['w1600', 'w1440', 'w1280', 'w1024', 'w800'];
		
	$(window).bind('resize', function() {
		$body.removeClass(wSizesClasses.join(' '));
		var size = $(this).width();
		for (var i=0; i<wSizes.length; i++) {
			if (size >= wSizes[i]) {
				$body.addClass(wSizesClasses[i]);
				break;
			}
		}
	}).trigger('resize');
	
});

	/* Hide Tooltip */
	jQuery(function() {
		jQuery('a.close').click(function() {
			jQuery(jQuery(this).attr('href')).slideUp();
            jQuery.cookie("tooltip" , 'closed' , {expires: 365, path: '/'});
            jQuery('.delimiter').removeClass('hidden');
			return false;
		});
	});

